<?php

/*Route::get('/home', function () {
    $users[] = Auth::user();
    $users[] = Auth::guard()->user();
    $users[] = Auth::guard('admin')->user();
    return view('admin.home');
})->name('home');*/

Route::get('profile','AdminAuth\ProfileController@index')->name('profile');
Route::post('profile','AdminAuth\ProfileController@profile_post')->name('profile_post');
Route::get('reset_password','AdminAuth\ProfileController@reset_password')->name('profile.reset_password');
Route::post('profile/info','AdminAuth\ProfileController@info')->name('profile.info');
Route::post('profile/password','AdminAuth\ProfileController@password')->name('profile.password');

Route::get('home','AdminAuth\HomeController@index');
Route::get('analytics','AdminAuth\HomeController@analytics');
Route::post('analytics','AdminAuth\HomeController@analytics_data');

Route::get('sitesetting','AdminAuth\SitesettingController@index')->name('sitesetting');
Route::post('sitesetting','AdminAuth\SitesettingController@sitesetting_post')->name('sitesetting_post');

Route::resource('category','AdminAuth\CategoryController');
Route::post('deletemultiplecategory','AdminAuth\CategoryController@deletemultiple');
Route::resource('subcategory','AdminAuth\SubcategoryController');
Route::resource('product','AdminAuth\ProductController');
Route::resource('role','AdminAuth\RoleController');
Route::resource('permission','AdminAuth\PermissionController');
Route::resource('admin','AdminAuth\AdminController');
Route::resource('user','AdminAuth\UserController');
Route::resource('board','AdminAuth\BoardController');
Route::resource('medium','AdminAuth\MediumController');
Route::resource('standard','AdminAuth\StandardController');
Route::resource('subject','AdminAuth\SubjectController');
Route::resource('chapter','AdminAuth\ChapterController');
Route::resource('paperstyle','AdminAuth\PaperstyleController');
Route::resource('state','AdminAuth\StateController');
Route::resource('city','AdminAuth\CityController');
Route::resource('querytype','AdminAuth\QuerytypeController');
Route::resource('question','AdminAuth\QuestionController');
Route::get('testCkediter','AdminAuth\QuestionController@testCkediter');
Route::resource('questiontype','AdminAuth\QuestionTypeController');
Route::get('getsubject/{id}','AdminAuth\QuestionTypeController@getsubject');
Route::resource('reference','AdminAuth\ReferenceController');

Route::get('question/addquestion/{id}','AdminAuth\QuestionController@addquestion');
Route::get('question/updatequestion/{id}','AdminAuth\QuestionController@updatequestion');
Route::post('question/savequestion','AdminAuth\QuestionController@savequestion');
Route::post('question/updatequestiondata','AdminAuth\QuestionController@updatequestiondata');
Route::delete('question/deletequestion/{id}','AdminAuth\QuestionController@deletequestion');
Route::post('question/upload', 'AdminAuth\QuestionController@upload')->name('question.upload');
Route::get('getsemester/{id}','AdminAuth\SubjectController@getsemester');
Route::post('getsemester','AdminAuth\PaperController@getsemester');

Route::resource('video','AdminAuth\VideoController');
Route::resource('papertype','AdminAuth\PapertypeController');
Route::post('getsubject','AdminAuth\ChapterController@getsubject');
Route::post('getchapter','AdminAuth\QuestionController@getchapter');
Route::get('getchapter/{id}','AdminAuth\QuestionTypeController@getchapter');
Route::post('getcategory','AdminAuth\QuestionController@getcategory');
Route::resource('contact','AdminAuth\ContactController');
Route::resource('previouspaper','AdminAuth\PreviouspaperController');
Route::resource('semester','AdminAuth\SemesterController');
Route::get('getstandard/{id}','AdminAuth\SemesterController@getstandard');
Route::get('getstandard','AdminAuth\PaperController@getstandard');
Route::get('getquestiontype','AdminAuth\PaperController@getquestiontype');
Route::post('savepaperstyle','AdminAuth\QuestionController@savepaperstyle');
Route::get('paper/create','AdminAuth\PaperController@create');
Route::post('paperstore','AdminAuth\PaperController@paperstore');
Route::get('paper/paperpdf/{id}','AdminAuth\PaperController@paperpdf');
Route::get('paperedit/{id}','AdminAuth\PaperController@edit');
Route::get('paper','AdminAuth\PaperController@index');
Route::post('peperupdate/{id}','AdminAuth\PaperController@paperupdate');